XmRepTypeGetRegistered(library call)

NAME
XmRepTypeGetRegistered — A representation type manager function that returns a copy of the registration list

SYNOPSIS

#include <Xm/RepType.h>
XmRepTypeList XmRepTypeGetRegistered(void)

DESCRIPTION

XmRepTypeGetRegistered retrieves information about all representation types that are registered with the representation type manager. The registration list is an array of structures, each of which contains information for a representation type entry. The end of the registration list is marked with a representation type entry whose rep_type_name field has a NULL pointer. This routine allocates memory for the returned data. The application must free this memory using XtFree.

The representation type entry structure contains the following information:

typedef struct
{
        String  rep_type_name;
        String  *value_names;
        unsigned char   *values;
        unsigned char   num_values;
        Boolean reverse_installed;
        XmRepTypeId     rep_type_id;
} XmRepTypeEntryRec, *XmRepTypeList;
(void)

rep_type_name
    The name of the representation type

value_names
    An array of representation type value names

values
    An array of representation type numerical values

num_values
    The number of values associated with the representation type

reverse_installed
    A flag that indicates whether or not the reverse converter is installed

rep_type_id
    The identification number of the representation type

RETURN

Returns a pointer to the registration list of representation types.

RELATED

XmRepTypeRegister(3) and XmRepTypeGetRecord(3).